<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if (!comprobar_sesion()) {
    $ar = array();
    $ar['error'] = 'session';
    $ar["succes"] = FALSE;
    $ar["msg"] = 'Su sesion ha caducado';
    echo json_encode($ar);
    exit;
}
require_once("../includes/MySQL.php");
$anio = (int) $_POST['anio'];

$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $anio);
$usuario=$sesion->get('ac_usuario');
$sql = "SELECT ide_usuario,login,pass,nombres_usu,apellidos_usu, num_identificacion,mail_usuario,ide_cargo,tipo_usu,active,cod_grupo "
        . "FROM conf_usuarios WHERE login='$usuario'";

$academia->instruccion($sql); 

#echo $sql;
if ($academia->num_rows() > 0) {
    $reg = $academia->extraer_registro();
    $sesion->set('academia_succes', $usuario);
    $sesion->set('ac_usuario', $usuario);
    $sesion->set('ac_userid', $reg['ide_usuario']);
    $sesion->set('ac_nomape', $reg['nombres_usu'] . " " . $reg['apellidos_usu']);
    $sesion->set('ac_identidad', $reg['num_identificacion']);
    $sesion->set('ac_tipo_user', $reg['tipo_usu']);

    $sesion->set('ultimoAcceso', date("Y-n-j H:i:s"));
    $sesion->set('academia_in', "SI");
    
    $sesion->set("anio", $anio);
    $academia->liberar();

    if ($reg['tipo_usu'] == '1') {
        $sesion->set('ac_cdgrupdir', $reg['cod_grupo']);
        $sql = "SELECT cod_profesor FROM pro_profesores WHERE ide_profesor='" . $reg['num_identificacion'] . "'";
        $academia->instruccion($sql);
        $reg = $academia->extraer_registro();
        $sesion->set("info_doc", $reg);
    } 

    $academia->cerrar();
       

    $data["succes"] = TRUE;
    $data["msg"] = 'Usted ahora solo pordra ver informacion del año '. $anio;
    
} else {
    $data["succes"] = FALSE;
    $data["msg"] = 'Uds no tine permisos para ver informacion del año '.$anio.'<br> Comuniquese con el administrador del sistema..';
}
echo json_encode($data);

?>